Did You Receive Your Activation Email?

Your Let’s Talk! username and password are sent to you through an activation email once your account is set up by your System Administrator. If you have not yet received your activation email and were expecting it, you should contact your System Administrator. Once you have received your activation email containing your username and password, follow these steps to access Let’s Talk!:

First Time Login

  • Click the login link found in your activation email or navigate to the K12 Insight website (the Login button can be found in top-right navigation).
  • Enter the username found in your activation email (this should be your district email address).
  • Enter the temporary password found in your activation email.
  • If entered correctly, you will be taken to the change password screen.
  • Enter the temporary password once again then create and confirm a new password. This new password will replace the temporary password and will be your new password for future login attempts.
  • If the new password is accepted, you will return to the login screen when you will enter your username and new password.

Note: Passwords should be a combination of letters and numbers and be at least eight characters.

login

 

Future Logins

  • Access the Let’s Talk! login page by navigating your browser to the K12 Insight website.

Tip: Bookmark this login page for quicker access.

  • Enter your username and password.

I Don’t Know My Password

  • If you do not know your password, click on the Forgot Password? link on the login screen and follow the steps to retrieve your password.
  • Once you have changed your password, you will need to re-enter your username and new password to login.

Something Not Right?

If something looks off after you’ve successfully logged into Let’s Talk!, you might be using an unsupported browser. Check your browser and ensure you are using one of the supported browsers and versions listed below:

  • Internet Explorer version 9.0 and above
  • Microsoft Edge
  • Firefox version 20.0 and above
  • Safari version 5.0 and above
  • Google Chrome version 20.0 and above